Bug 122473 - 2.6 kernel source package depends on Qt and GTK devel
Summary: 2.6 kernel source package depends on Qt and GTK devel
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-04 22:09 UTC by Brion Vibber
Modified: 2015-01-04 22:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 06:30:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brion Vibber 2004-05-04 22:09:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/124 (KHTML, like Gecko) Safari/125.1

Description of problem:
The 2.6 kernel-source package claims dependency on gtk2-devel and qt-devel, which makes it difficult to install the package on a headless server that has no X11/GUI bits. GTK and Qt should be optional, they are needed only for some of the graphical configuration variants but you can compile the source without them.

Version-Release number of selected component (if applicable):
kernel-source-2.6.5-1.350

How reproducible:
Always

Steps to Reproduce:
1. Find a system with no GTK or Qt devel packages
2. rpm -ivh kernel-source-*.rpm


Actual Results:  error: Failed dependencies:
        gtk2-devel is needed by kernel-source-2.6.5-1.350
        qt-devel is needed by kernel-source-2.6.5-1.350


Expected Results:  Problem-free installation of kernel-source package.

Additional info:

Workaround: use --nodeps option on rpm.

Comment 1 Arjan van de Ven 2004-05-05 07:04:32 UTC
Well these deps are real for make xconfig / make gconfig which are
documented ways to configure the kernel.
(btw if you think you need kernel-source to build some external module
against; that changed with the 2.6 rpms, you can't use kernel-source
for that anymore, everything needed is in the normal kernel rpm already)


Note You need to log in before you can comment on or make changes to this bug.